# KDChartLineAttributes.h File Reference

`#include <QMetaType>`
`#include "KDChartGlobal.h"`

Include dependency graph for KDChartLineAttributes.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | KDChart

## Functions

KDCHART_EXPORT QDebug | operator<< (QDebug, const KDChart::LineAttributes &)
| Q_DECLARE_TYPEINFO (KDChart::LineAttributes, Q_MOVABLE_TYPE)

## Function Documentation

KDCHART_EXPORT QDebug operator<< | ( | QDebug | ,
|  | const KDChart::LineAttributes & |
| ) |

Definition at line 123 of file KDChartLineAttributes.cpp.

References KDChart::LineAttributes::displayArea(), and KDChart::LineAttributes::transparency().

    00124 {
    00125     dbg << "KDChart::LineAttributes("
    00126             //     MissingValuesPolicy missingValuesPolicy;
    00127             << "bool="<<a.displayArea()
    00128             << "transparency="<<a.transparency()
    00129             << ")";
    00130     return dbg;
    00131
    00132 }

Q_DECLARE_TYPEINFO | ( | KDChart::LineAttributes | ,
|  | Q_MOVABLE_TYPE |
| ) |